petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutSetISLocalToGlobalMapping

sets a ISLocalGlobalMapping into a PetscLayout

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetISLocalToGlobalMapping(PetscLayout in,ISLocalToGlobalMapping ltog)

Collective on PetscLayout Many br

### Input Parameter

| in | - input PetscLayout Many br
| ltog | - the local to global mapping Many br

Many br

Notes: PetscLayoutSetUp() does not need to be called on the resulting PetscLayout Many br

If the ltog location already contains a PetscLayout it is destroyed Many br

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutDuplicate()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages